Package org.apache.felix.eventadmin.impl.security

## Class PermissionsUtil

- java.lang.Object
- - org.apache.felix.eventadmin.impl.security.PermissionsUtil

    public abstract class PermissionsUtil
    extends Object

Utility class for permissions.

Author:
  Felix Project Team

### Constructor Summary

Constructors
`PermissionsUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Permission` `createPublishPermission​(String topic)` Creates a `TopicPermission` for the given topic and the type PUBLISH
`static Permission` `createSubscribePermission​(String topic)` Creates a `TopicPermission` for the given topic and the type SUBSCRIBE Note that a

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PermissionsUtil

    public PermissionsUtil()

### Method Detail

#### createPublishPermission

    public static Permission createPublishPermission​(String topic)

Creates a `TopicPermission` for the given topic and the type PUBLISH

Parameters:
  `topic` - The target topic
Returns:
  The created permission or `null` in case the permission could not be created.
See Also:
  `TopicPermission`

#### createSubscribePermission

    public static Permission createSubscribePermission​(String topic)

Creates a `TopicPermission` for the given topic and the type SUBSCRIBE Note that a

Parameters:
  `topic` - The target topic
Returns:
  The created permission or a `null` in case the permission could not be created.
See Also:
  `TopicPermission`